[PC-BSD Commits] r1982 - in pcbsd/trunk/system-overlay: PCBSD/bin boot
svn at pcbsd.org
svn at pcbsd.org
Mon May 26 11:45:10 PDT 2008
Author: dianeb
Date: 2008-05-26 11:45:10 -0700 (Mon, 26 May 2008)
New Revision: 1982
Modified:
pcbsd/trunk/system-overlay/PCBSD/bin/pdm
pcbsd/trunk/system-overlay/boot/beastie.4th
Log:
- This adds a boot option to force the use of X vesa at boot.
Hopefully this saves us from failed X fails.
Please note that 1-9 options are used, adding any more will fail without
a bit of rewrite in beastie.4th due to the way the code works.
Modified: pcbsd/trunk/system-overlay/PCBSD/bin/pdm
===================================================================
--- pcbsd/trunk/system-overlay/PCBSD/bin/pdm 2008-05-26 15:06:53 UTC (rev 1981)
+++ pcbsd/trunk/system-overlay/PCBSD/bin/pdm 2008-05-26 18:45:10 UTC (rev 1982)
@@ -3,23 +3,38 @@
# Copyright 2007 PC-BSD Software
###############################################################################
+setup_xorg() {
+ /PCBSD/xorg-gui/bin/rundetect.sh
+ rm -f /PCBSD/conf/.runxsetup
+}
+
+setup_xvesa() {
+ echo "Using failsafe VESA 1024x768 mode..." >/dev/console
+ rm /etc/X11/xorg.conf
+ cp /PCBSD/xorg-gui/cardDetect/XF86Config.compat /etc/X11/xorg.conf
+ rm -f/PCBSD/conf/.runxsetup
+}
+
+xvesa="NO"
+v=`kenv xvesa`
+if [ $? -eq 0 ]; then
+ xvesa=$v
+fi
+
# Start our loop
while
i=1
do
+ if [ -e "/PCBSD/conf/.runxsetup" ]; then
+ if [ ${xvesa} = "YES" ]; then
+ setup_xvesa
+ else
+ setup_xorg
+ fi
+ else
+ exec /usr/local/bin/kdm "$@"
+ fi
-if [ -e "/PCBSD/conf/.runxsetup" ]
-then
-
-/PCBSD/xorg-gui/bin/rundetect.sh
-rm /PCBSD/conf/.runxsetup
-
-else
-
-exec /usr/local/bin/kdm "$@"
-
-fi
-
sleep 2
done
Modified: pcbsd/trunk/system-overlay/boot/beastie.4th
===================================================================
--- pcbsd/trunk/system-overlay/boot/beastie.4th 2008-05-26 15:06:53 UTC (rev 1981)
+++ pcbsd/trunk/system-overlay/boot/beastie.4th 2008-05-26 18:45:10 UTC (rev 1982)
@@ -46,6 +46,8 @@
variable bootsinglekey
variable escapekey
variable rebootkey
+variable xvesa
+variable xvesa_set
46 constant dot
@@ -175,7 +177,7 @@
5 menuX !
clear
46 4 print-logo
- 42 20 2 2 box
+ 43 22 2 2 box
13 6 at-xy ." Welcome to PC-BSD!"
printmenuitem ." Boot PC-BSD [default]" bootkey !
s" arch-i386" environment? if
@@ -192,6 +194,7 @@
printmenuitem ." Boot PC-BSD in Safe Mode" bootsafekey !
printmenuitem ." Boot PC-BSD in single user mode" bootsinglekey !
printmenuitem ." Boot PC-BSD with verbose logging" bootverbosekey !
+ printmenuitem ." Set Vesa X" xvesa !
printmenuitem ." Run the Display Setup Wizard" rundisplaywiz !
printmenuitem ." Escape to loader prompt" escapekey !
printmenuitem ." Reboot" rebootkey !
@@ -233,6 +236,8 @@
else
drop
then
+ s" NO" s" xvesa" setenv
+ 0 xvesa_set !
beastie-menu
s" autoboot_delay" getenv
dup -1 = if
@@ -278,6 +283,19 @@
s" YES" s" boot_verbose" setenv
0 boot
then
+ dup xvesa @ = if
+ xvesa_set @ 1 = if
+ menuX @ 23 at-xy
+ ." xvesa unset"
+ s" NO" s" xvesa" setenv
+ 0 xvesa_set !
+ else
+ menuX @ 23 at-xy
+ ." xvesa set "
+ s" YES" s" xvesa" setenv
+ 1 xvesa_set !
+ then
+ then
dup rundisplaywiz @ = if
s" /boot/kernel;/boot/modules;/RUNXWIZ/" s" module_path" setenv
0 boot
More information about the Commits
mailing list